Page MenuHomePhabricator

Labs: rewrite remaining labstore* scripts
Closed, ResolvedPublic

Description

Already started; some of the scripts running on labstores date from the gluster days, some are in perl or bash and desperately need a rewrite.

manage-nfs-volumes-daemon
replica-addusers.pl
sync-exports
maintain-replicas.pl

Event Timeline

coren created this task.Jun 15 2015, 5:25 PM
coren claimed this task.
coren raised the priority of this task from to Needs Triage.
coren updated the task description. (Show Details)
coren added a subscriber: coren.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2015, 5:25 PM

@coren can you file specific bugs for individual scripts instead? This can be a tracking bug, but putting more specific bugs in the sprint will be more useful.

coren moved this task from Code Review / Blocked to Doing on the Labs-Sprint-102 board.
faidon set Security to None.
coren moved this task from To Do to Doing on the Labs-Sprint-103 board.Jun 22 2015, 5:58 PM

Only maintain-replicas is left.

maintain-replicas is gone, but sync-exports isnt'.

yuvipanda moved this task from To do to Doing on the Labs-sprint-112 board.Sep 1 2015, 1:14 PM
coren removed coren as the assignee of this task.Nov 16 2015, 6:08 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 16 2015, 6:08 PM
coren closed this task as Resolved.Nov 30 2015, 3:47 PM
coren claimed this task.

sync-exports would actually be made less clear and terse were it written in python, so rewriting it just because is not useful. That being the last script, and the only one not rewritten, closes the ticket.